XT-CREATE-XEN-CONFIG(8)

NAME
xt-create-config - Create a Xen configuration file for a new guest

SYNOPSIS
  xt-create-config [options]

  Filename Options:

    --output     Specify the output directory to use.
    --extension  Specify the file extension to use.

  General Options:

    --admins     Specify some administrator accounts which should be
                created for use by the xen-shell.

    --template   Specify the template file to use when creating the
                Xen configuration file.

  Help Options:

   --help        Show this scripts help information.
   --manual      Read this scripts manual.
   --version     Show the version number and exit.

  Debugging Options:

   --verbose  Be verbose in our execution.

  All other options from xen-create-image, such as the new IP address(es)
 to give to the new instance, will be passed as environmental variables.

ABOUT
  This script is invoked by xen-create-image after it has created and
 customised a new Xen guest.  It is responsible for creating the
 configuration file which Xen will use to start the instance.

  The configuration file will be created in the directory /etc/xen using
 a template file to determine how the configuration file should be
 created.

  By default the script will use /etc/xen-tools/xm.tmpl as its input.

INVOCATION
  This script will be invoked by the xen-create-image script, rather than
 directly.

  This is because it will expect to receive the values to insert into the
 output template in as environmental variables.

  You could execute it manually via a long command line, but that is
 error-prone and probably not useful:

   hostname=foo.my.flat ip=192.168.1.2 ... xm-create-xen-config \
     --output=/etc/xen --template=/etc/xen-tools/xm.tmpl

ARGUMENT PASSING
  This script will be invoked with a full copy of the arguments from
 xen-create-image in its environment, along with several command line
 arguments.

  This has several implications for customization.  If you wish to
 setup a new variable in the output template such as "foo=bar" you
 could update the script to include "${foo}", then invoke
 xen-create-image with this environmental variable set.

     $ foo=bar xen-create-image --hostname=test.my.flat ...

  The environment will be duplicated/inheritted by this script when
 it is executed, and your variable will be included in the output file.

  For details on the template file syntax please see the documentation
 for the "Text::Template" perl module.   (If you have the perldoc
 package installed you can read this with "perldoc Text::Template".)

AUTHORS
 Steve Kemp, https://steve.fi/
 Axel Beckert, https://axel.beckert.ch/
 Stéphane Jourdois

LICENSE
Copyright (c) 2005-2009 by Steve Kemp, (c) 2010-2012 by The Xen-Tools Development Team. All rights reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The LICENSE file contains the full text of the license.